2020-10-27 01:18 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002660FSSCPuser interfacepublic2020-04-13 15:16
Reporterz64555 
Assigned Toz64555 
PrioritylowSeveritytextReproducibilityalways
StatusclosedResolutionno change required 
PlatformAcer Aspire 3680OSMicrosoft WindowsOS VersionXP SP3
Product Version3.6.13 
Target VersionFixed in Version 
Summary0002660: Joystick Axis Mis-mapping
DescriptionWhen I try to map the Rotation axiis, I can only map two of them successfully and both are not mapped accordingly. I've verified the operation of the controller in Window's Game Controller Utility, and the R axiis are mapped accordingly and are functional.

Currently, the axiis are like so:
DirectInput FSO
Rx Rz
Ry None
Rz Rx
Steps To ReproduceNote! You must have a controller driver/software that can have its axiis reconfigured.

1. Configure your controller to use axiis Rx, Ry, and Rz in lieu of X, Y, and Z
2. Verify operation in the game controller calibration utility
3. Run FSO, and open the Options menu
4. Try to configure the Rx, Ry, and Rz axiis to any of the ship control axiis
Additional InformationI'm using a Sony PS3 DualShock controller along with the MotionInJoy 0.6.0005 drivers.

In case you don't know, the drivers allow you to fully configure each and every control on the DualShock, and use DirectInput as it's main API.

The fact that the Game Controller calibration utility shows everything is functioning, tells me that the driver's are not the main issue for the R axiis mapping.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0013626

z64555 (developer)

Probably a derp:

3.6.14 RC6 has the same issue

~0013627

iss_mneur (developer)

Just to clarify, this is case of the labels not matching the actual axis as reported by DirectInput, correct?

~0013629

z64555 (developer)

That it is.

~0015904

dostatochno (reporter)

Last edited: 2014-06-22 20:18

View 5 revisions

As of 3.7.2 RC3, a significant relative of this bug remains.
As noted below, some inputs are completely ignored in actual gameplay.


When using a wired or wireless 360 controller on the computer directly, the second stick is misinterpreted:
   Actual | Interpreted | In-Game
 D.I./Xinput | by FSO | Behavior
  Rx / Rx | Ry | Control binds to Ry in config but is ignored in gameplay.
  Ry / Ry | Rx | Input actuates the control bound to Rx

Also with a Logitech Rumblepad 2:
 Actual | Interpreted | In-Game
  D.I. | by FSO | Behavior
   Z | Z | Input actuates the control bound to Z
   Rz | Rx | Input actuates the control bound to Rx

...and When using a 360 controller on another computer via Steam in-home Streaming:
Actual | Interpreted | In-Game
 DI/Xinput | by FSO | Behavior
  ? / Rx | Rx | Input actuates the control bound to Rx
  ? / Ry | Ry | Control binds to Ry in settings but is ignored in gameplay.

Other notes:
1) It would be awfully nice if half-axes (i.e. 360 controller triggers) could be bound to controls which are normally buttons
2) It would also be nice if an analog stick's axes could be bound to Look up/down/left/right so the view isn't locked to 90 degree increments on orthogonal axes.

~0015912

z64555 (developer)

This should be one of the things to be fixed when the SDL antipodes branch gets into trunk. I'll have to check to see if I did anything about the Ry, Rz axes at some point...

~0016970

Goober5000 (administrator)

I'm going to assume this is no longer an issue with the SDL merge.
+Notes

-Issue History
Date Modified Username Field Change
2012-06-02 14:36 z64555 New Issue
2012-06-02 17:00 z64555 Note Added: 0013626
2012-06-02 19:28 iss_mneur Note Added: 0013627
2012-06-02 22:01 z64555 Note Added: 0013629
2012-06-02 23:08 iss_mneur Severity minor => text
2014-06-22 19:09 dostatochno Note Added: 0015904
2014-06-22 19:47 dostatochno Note Edited: 0015904 View Revisions
2014-06-22 20:01 dostatochno Note Edited: 0015904 View Revisions
2014-06-22 20:17 dostatochno Note Edited: 0015904 View Revisions
2014-06-22 20:18 dostatochno Note Edited: 0015904 View Revisions
2014-06-24 13:00 z64555 Note Added: 0015912
2014-06-24 13:00 z64555 Assigned To => z64555
2014-06-24 13:00 z64555 Status new => confirmed
2020-04-13 15:16 Goober5000 Status confirmed => closed
2020-04-13 15:16 Goober5000 Resolution open => no change required
2020-04-13 15:16 Goober5000 Note Added: 0016970
+Issue History